## javax.vecmath
Class Tuple3i

    java.lang.Object
      javax.vecmath.Tuple3i

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  Point3i

    public abstract class Tuple3i

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A 3-element tuple represented by signed integer x,y,z coordinates.

Since:
  vecmath 1.2
See Also:
  Serialized Form

Field Summary
`int` `x` The x coordinate.
`int` `y` The y coordinate.
`int` `z` The z coordinate.

Constructor Summary
`Tuple3i()` Constructs and initializes a Tuple3i to (0,0,0).
`Tuple3i(int[] t)` Constructs and initializes a Tuple3i from the array of length 3.
`Tuple3i(int x, int y, int z)` Constructs and initializes a Tuple3i from the specified x, y, and z coordinates.
`Tuple3i(Tuple3i t1)` Constructs and initializes a Tuple3i from the specified Tuple3i.

Method Summary
`void` `absolute()` Sets each component of this tuple to its absolute value.
`void` `absolute(Tuple3i t)` Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.
`void` `add(Tuple3i t1)` Sets the value of this tuple to the sum of itself and t1.
`void` `add(Tuple3i t1, Tuple3i t2)` Sets the value of this tuple to the sum of tuples t1 and t2.
`void` `clamp(int min, int max)` Clamps this tuple to the range [low, high].
`void` `clamp(int min, int max, Tuple3i t)` Clamps the tuple parameter to the range [low, high] and places the values into this tuple.
`void` `clampMax(int max)` Clamps the maximum value of this tuple to the max parameter.
`void` `clampMax(int max, Tuple3i t)` Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.
`void` `clampMin(int min)` Clamps the minimum value of this tuple to the min parameter.
`void` `clampMin(int min, Tuple3i t)` Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.
`java.lang.Object` `clone()` Creates a new object of the same class as this object.
`boolean` `equals(java.lang.Object t1)` Returns true if the Object t1 is of type Tuple3i and all of the data members of t1 are equal to the corresponding data members in this Tuple3i.
`void` `get(int[] t)` Copies the values of this tuple into the array t.
`void` `get(Tuple3i t)` Copies the values of this tuple into the tuple t.
`int` `getX()` Get the x coordinate.
`int` `getY()` Get the y coordinate.
`int` `getZ()` Get the z coordinate.
`int` `hashCode()` Returns a hash code value based on the data values in this object.
`void` `negate()` Negates the value of this tuple in place.
`void` `negate(Tuple3i t1)` Sets the value of this tuple to the negation of tuple t1.
`void` `scale(int s)` Sets the value of this tuple to the scalar multiplication of the scale factor with this.
`void` `scale(int s, Tuple3i t1)` Sets the value of this tuple to the scalar multiplication of tuple t1.
`void` `scaleAdd(int s, Tuple3i t1)` Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).
`void` `scaleAdd(int s, Tuple3i t1, Tuple3i t2)` Sets the value of this tuple to the scalar multiplication of tuple t1 plus tuple t2 (this = s*t1 + t2).
`void` `set(int[] t)` Sets the value of this tuple to the specified coordinates in the array of length 3.
`void` `set(int x, int y, int z)` Sets the value of this tuple to the specified x, y, and z coordinates.
`void` `set(Tuple3i t1)` Sets the value of this tuple to the value of tuple t1.
`void` `setX(int x)` Set the x coordinate.
`void` `setY(int y)` Set the y coordinate.
`void` `setZ(int z)` Set the z coordinate.
`void` `sub(Tuple3i t1)` Sets the value of this tuple to the difference of itself and t1 (this = this - t1).
`void` `sub(Tuple3i t1, Tuple3i t2)` Sets the value of this tuple to the difference of tuples t1 and t2 (this = t1 - t2).
`java.lang.String` `toString()` Returns a string that contains the values of this Tuple3i.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

  The x coordinate.

### y

    public int y

  The y coordinate.

### z

    public int z

  The z coordinate.

Constructor Detail

### Tuple3i

    public Tuple3i(int x,
                   int y,
                   int z)

  Constructs and initializes a Tuple3i from the specified x, y, and z coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Tuple3i

    public Tuple3i(int[] t)

  Constructs and initializes a Tuple3i from the array of length 3.

  Parameters:
    `t` - the array of length 3 containing x, y, and z in order.

### Tuple3i

    public Tuple3i(Tuple3i t1)

  Constructs and initializes a Tuple3i from the specified Tuple3i.

  Parameters:
    `t1` - the Tuple3i containing the initialization x, y, and z data.

### Tuple3i

    public Tuple3i()

  Constructs and initializes a Tuple3i to (0,0,0).

Method Detail

### set

    public final void set(int x,
                          int y,
                          int z)

  Sets the value of this tuple to the specified x, y, and z coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### set

    public final void set(int[] t)

  Sets the value of this tuple to the specified coordinates in the array of length 3.

  Parameters:
    `t` - the array of length 3 containing x, y, and z in order.

### set

    public final void set(Tuple3i t1)

  Sets the value of this tuple to the value of tuple t1.

  Parameters:
    `t1` - the tuple to be copied

### get

    public final void get(int[] t)

  Copies the values of this tuple into the array t.

  Parameters:
    `t` - is the array

### get

    public final void get(Tuple3i t)

  Copies the values of this tuple into the tuple t.

  Parameters:
    `t` - is the target tuple

### add

    public final void add(Tuple3i t1,
                          Tuple3i t2)

  Sets the value of this tuple to the sum of tuples t1 and t2.

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### add

    public final void add(Tuple3i t1)

  Sets the value of this tuple to the sum of itself and t1.

  Parameters:
    `t1` - the other tuple

### sub

    public final void sub(Tuple3i t1,
                          Tuple3i t2)

  Sets the value of this tuple to the difference of tuples t1 and t2 (this = t1 - t2).

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### sub

    public final void sub(Tuple3i t1)

  Sets the value of this tuple to the difference of itself and t1 (this = this - t1).

  Parameters:
    `t1` - the other tuple

### negate

    public final void negate(Tuple3i t1)

  Sets the value of this tuple to the negation of tuple t1.

  Parameters:
    `t1` - the source tuple

### negate

    public final void negate()

  Negates the value of this tuple in place.

### scale

    public final void scale(int s,
                            Tuple3i t1)

  Sets the value of this tuple to the scalar multiplication of tuple t1.

  Parameters:
    `s` - the scalar value
    `t1` - the source tuple

### scale

    public final void scale(int s)

  Sets the value of this tuple to the scalar multiplication of the scale factor with this.

  Parameters:
    `s` - the scalar value

### scaleAdd

    public final void scaleAdd(int s,
                               Tuple3i t1,
                               Tuple3i t2)

  Sets the value of this tuple to the scalar multiplication of tuple t1 plus tuple t2 (this = s*t1 + t2).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be multipled
    `t2` - the tuple to be added

### scaleAdd

    public final void scaleAdd(int s,
                               Tuple3i t1)

  Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be added

### toString

    public java.lang.String toString()

  Returns a string that contains the values of this Tuple3i. The form is (x,y,z).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation

### equals

    public boolean equals(java.lang.Object t1)

  Returns true if the Object t1 is of type Tuple3i and all of the data members of t1 are equal to the corresponding data members in this Tuple3i.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `t1` - the object with which the comparison is made

### hashCode

    public int hashCode()

  Returns a hash code value based on the data values in this object. Two different Tuple3i objects with identical data values (i.e., Tuple3i.equals returns true) will return the same hash code value. Two objects with different data members may return the same hash value, although this is not likely.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the integer hash code value

### clamp

    public final void clamp(int min,
                            int max,
                            Tuple3i t)

  Clamps the tuple parameter to the range [low, high] and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMin

    public final void clampMin(int min,
                               Tuple3i t)

  Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMax

    public final void clampMax(int max,
                               Tuple3i t)

  Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.

  Parameters:
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### absolute

    public final void absolute(Tuple3i t)

  Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.

  Parameters:
    `t` - the source tuple, which will not be modified

### clamp

    public final void clamp(int min,
                            int max)

  Clamps this tuple to the range [low, high].

  Parameters:
    `min` - the lowest value in this tuple after clamping
    `max` - the highest value in this tuple after clamping

### clampMin

    public final void clampMin(int min)

  Clamps the minimum value of this tuple to the min parameter.

  Parameters:
    `min` - the lowest value in this tuple after clamping

### clampMax

    public final void clampMax(int max)

  Clamps the maximum value of this tuple to the max parameter.

  Parameters:
    `max` - the highest value in the tuple after clamping

### absolute

    public final void absolute()

  Sets each component of this tuple to its absolute value.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this instance.
  Throws:
    `java.lang.OutOfMemoryError` - if there is not enough memory.
  Since:
    vecmath 1.3
  See Also:
    `Cloneable`

### getX

    public final int getX()

  Get the x coordinate.

  Returns:
    the x coordinate.
  Since:
    vecmath 1.5

### setX

    public final void setX(int x)

  Set the x coordinate.

  Parameters:
    `x` - value to x coordinate.
  Since:
    vecmath 1.5

### getY

    public final int getY()

  Get the y coordinate.

  Returns:
    the y coordinate.
  Since:
    vecmath 1.5

### setY

    public final void setY(int y)

  Set the y coordinate.

  Parameters:
    `y` - value to y coordinate.
  Since:
    vecmath 1.5

### getZ

    public final int getZ()

  Get the z coordinate.

  Returns:
    the z coordinate.
  Since:
    vecmath 1.5

### setZ

    public final void setZ(int z)

  Set the z coordinate.

  Parameters:
    `z` - value to z coordinate.
  Since:
    vecmath 1.5

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.